import { FormatRust, FormatKotlin, FormatSwift, FormatPython, FormatRuby, FormatAssembly, FormatC } from '../../../../code/type/index.js';
import { FormatPrettier, FormatPrettierInput } from './shared.js';
export declare function format<T extends FormatPrettier>(source: FormatPrettierInput<T>): Promise<string | undefined>;
export declare function formatKotlin(input: FormatKotlin): Promise<void>;
export declare function formatSwift(input: FormatSwift): Promise<void>;
export declare function formatRust(input: FormatRust): Promise<{
    stdout: string;
    stderr: string;
}>;
export declare function formatPython(input: FormatPython): Promise<void>;
export declare function formatRuby(input: FormatRuby): Promise<void>;
export declare function formatAssembly(input: FormatAssembly): Promise<void>;
export declare function formatC(input: FormatC): Promise<void>;
